Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Class AbstractConfigurationContext

    java.lang.Object
      com.servingxml.util.system.AbstractRuntimeContext
          com.servingxml.ioc.resources.AbstractConfigurationContext

All Implemented Interfaces:
  ConfigurationContext, RuntimeContext

Direct Known Subclasses:
  IncludeConfigurationContext, TopLevelConfigurationContext

    public abstract class AbstractConfigurationContext

extends AbstractRuntimeContext
implements ConfigurationContext

Constructor Summary
`protected` | `AbstractConfigurationContext(AbstractConfigurationContext tail, org.w3c.dom.Element contextElement, ComponentDictionary componentDictionary, ResourceTable resourceTable)`
`protected` | `AbstractConfigurationContext(AbstractConfigurationContext tail, org.w3c.dom.Element contextElement, ResourceTable resourceTable)`
`protected` | `AbstractConfigurationContext(Record parameters, MutableNameTable nameTable, ComponentDictionary componentDictionary, java.lang.String base, ResourceTable resourceTable, org.w3c.dom.Element contextElement)`

Method Summary
`ConfigurationContext` | `createInstance(org.w3c.dom.Element contextElement)`
`ConfigurationContext` | `createInstance(org.w3c.dom.Element contextElement, ComponentDictionary componentDictionary)`
`Name` | `createName(java.lang.String namespaceUri, java.lang.String localName)`
`java.lang.String` | `getAppName()`
`ComponentDictionary` | `getComponentDictionary()`
`java.lang.Object` | `getConfigurationComponent(java.lang.Class javaInterface)`
`org.w3c.dom.Document` | `getDocument()`
`org.w3c.dom.Element` | `getElement()`
`java.lang.String` | `getNamespaceUri(org.w3c.dom.Element element)`
`MutableNameTable` | `getNameTable()`
`Record` | `getParameters()`
`ConfigurationContext` | `getParent()`
`QnameContext` | `getQnameContext()`
`ResourceTable` | `getResourceTable()`
`protected java.lang.Object` | `getServiceComponent(java.lang.Class javaInterface, Name componentName)`
`java.lang.Object` | `getServiceComponent(org.w3c.dom.Element element)`
`protected java.lang.Object` | `getServiceComponent(org.w3c.dom.Element element, int instanceSymbol, java.lang.String resourceQname)`
`protected ServiceComponent` | `getServiceComponentOrDefault(int instanceSymbol)`
`java.lang.String` | `getUser()`

Methods inherited from class com.servingxml.util.system.AbstractRuntimeContext
`error, notice, printStackTrace, trace, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.ioc.components.ConfigurationContext
`getTransformerFactory, trace`

Methods inherited from interface com.servingxml.util.system.RuntimeContext
`error, notice, printStackTrace, warning`

Constructor Detail

### AbstractConfigurationContext

    protected AbstractConfigurationContext(Record parameters,
                                           MutableNameTable nameTable,
                                           ComponentDictionary componentDictionary,
                                           java.lang.String base,
                                           ResourceTable resourceTable,
                                           org.w3c.dom.Element contextElement)

### AbstractConfigurationContext

    protected AbstractConfigurationContext(AbstractConfigurationContext tail,
                                           org.w3c.dom.Element contextElement,
                                           ComponentDictionary componentDictionary,
                                           ResourceTable resourceTable)

### AbstractConfigurationContext

    protected AbstractConfigurationContext(AbstractConfigurationContext tail,
                                           org.w3c.dom.Element contextElement,
                                           ResourceTable resourceTable)

Method Detail

### getParent

    public ConfigurationContext getParent()

  Specified by:
    `getParent` in interface `ConfigurationContext`

### getParameters

    public Record getParameters()

  Specified by:
    `getParameters` in interface `ConfigurationContext`

### getResourceTable

    public ResourceTable getResourceTable()

  Specified by:
    `getResourceTable` in interface `ConfigurationContext`

### getDocument

    public org.w3c.dom.Document getDocument()

  Specified by:
    `getDocument` in interface `ConfigurationContext`

### createInstance

    public ConfigurationContext createInstance(org.w3c.dom.Element contextElement,
                                               ComponentDictionary componentDictionary)

  Specified by:
    `createInstance` in interface `ConfigurationContext`

### createInstance

    public ConfigurationContext createInstance(org.w3c.dom.Element contextElement)

  Specified by:
    `createInstance` in interface `ConfigurationContext`

### createName

    public Name createName(java.lang.String namespaceUri,
                           java.lang.String localName)

### getElement

    public org.w3c.dom.Element getElement()

  Specified by:
    `getElement` in interface `ConfigurationContext`

### getQnameContext

    public QnameContext getQnameContext()

  Specified by:
    `getQnameContext` in interface `ConfigurationContext`

### getNameTable

    public MutableNameTable getNameTable()

  Specified by:
    `getNameTable` in interface `ConfigurationContext`

### getNamespaceUri

    public java.lang.String getNamespaceUri(org.w3c.dom.Element element)

  Specified by:
    `getNamespaceUri` in interface `ConfigurationContext`

### getConfigurationComponent

    public java.lang.Object getConfigurationComponent(java.lang.Class javaInterface)

  Specified by:
    `getConfigurationComponent` in interface `ConfigurationContext`

### getServiceComponent

    protected java.lang.Object getServiceComponent(java.lang.Class javaInterface,
                                                   Name componentName)

### getServiceComponent

    public java.lang.Object getServiceComponent(org.w3c.dom.Element element)

  Specified by:
    `getServiceComponent` in interface `ConfigurationContext`

### getServiceComponent

    protected java.lang.Object getServiceComponent(org.w3c.dom.Element element,
                                                   int instanceSymbol,
                                                   java.lang.String resourceQname)

### getComponentDictionary

    public ComponentDictionary getComponentDictionary()

  Specified by:
    `getComponentDictionary` in interface `ConfigurationContext`

### getServiceComponentOrDefault

    protected ServiceComponent getServiceComponentOrDefault(int instanceSymbol)

### getAppName

    public java.lang.String getAppName()

  Specified by:
    `getAppName` in interface `RuntimeContext`

### getUser

    public java.lang.String getUser()

  Specified by:
    `getUser` in interface `RuntimeContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD